 include/asm-mips/bitops.h |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

diff -puN include/asm-mips/bitops.h~ext2-no-lock_super-fix-3 include/asm-mips/bitops.h
--- 25/include/asm-mips/bitops.h~ext2-no-lock_super-fix-3	2003-03-13 23:50:24.000000000 -0800
+++ 25-akpm/include/asm-mips/bitops.h	2003-03-13 23:50:59.000000000 -0800
@@ -810,15 +810,6 @@ extern __inline__ int ext2_set_bit(int n
 	return retval;
 }
 
-static inline int ext2_set_bit_atomic(spinlock_t * lock, int nr, void * addr)
-{
-	int ret;
-	spin_lock(lock);
-	ret = ext2_set_bit(nr, addr);
-	spin_unlock(lock);
-	return ret;
-}
-
 extern __inline__ int ext2_clear_bit(int nr, void * addr)
 {
 	int		mask, retval, flags;
@@ -833,14 +824,23 @@ extern __inline__ int ext2_clear_bit(int
 	return retval;
 }
 
-static inline int ext2_clear_bit_atomic(spinlock_t * lock, int nr, void * addr)
-{       
-        int ret;
-        spin_lock(lock);
-        ret = ext2_clear_bit(nr, addr);
-        spin_unlock(lock);
-        return ret;
-}
+#define ext2_set_bit_atomic(lock, nr, addr)		\
+	({						\
+		int ret;				\
+		spin_lock(lock);			\
+		ret = ext2_set_bit((nr), (addr));	\
+		spin_unlock(lock);			\
+		ret;					\
+	})
+
+#define ext2_clear_bit_atomic(lock, nr, addr)		\
+	({						\
+		int ret;				\
+		spin_lock(lock);			\
+		ret = ext2_clear_bit((nr), (addr));	\
+		spin_unlock(lock);			\
+		ret;					\
+	})
 
 extern __inline__ int ext2_test_bit(int nr, const void * addr)
 {

_
